<form [formGroup]="formCadastro" novalidate>
  <div #mainDiv class = "main-div">
    <h1 class = "tittle">Cadastro</h1>
      <div class = "formulario">
          <mat-form-field>
              <mat-label>Nome</mat-label>
              <input matInput placeholder="Digite o seu nome" type="text" formControlName="nome">
              <mat-error *ngIf="formCadastro.controls.nome.hasError('required')">
                Nome é <strong>obrigatório</strong>!
              </mat-error>
            </mat-form-field>
            <mat-form-field>
              <mat-label>E-mail</mat-label>
              <input matInput placeholder="Digite o seu e-mail" inputmode="email" type="text" formControlName="email">
              <mat-error *ngIf="formCadastro.controls.email.hasError('required')">
                E-mail é <strong>obrigatório</strong>!
              </mat-error>
              <mat-error *ngIf="!formCadastro.controls.email.hasError('required') && formCadastro.controls.email.hasError('email')">
                Email <strong>invalido</strong>!
              </mat-error>
            </mat-form-field>
            <mat-form-field>
              <mat-label>Nascimento</mat-label>
              <input matInput placeholder="Digite a sua data de nascimento" inputmode="numeric" type="text" [mask]="mascaraNascimento" formControlName="nascimento">
              <mat-error *ngIf="formCadastro.controls.nascimento.hasError('required')">
                Data de nascimento é <strong>obrigatória</strong>!
              </mat-error>
              <mat-error *ngIf="!formCadastro.controls.nascimento.hasError('required') && formCadastro.controls.nascimento.hasError('minlength')">
                Data de nascimento deve conter <strong>8 Digitos</strong>!
              </mat-error>
            </mat-form-field>
            <mat-form-field>
              <mat-label>Telefone</mat-label>
              <input matInput placeholder="Digite o seu número de telefone" inputmode="tel" type="text" [mask]="mascaraTelefone" formControlName="telefone">
              <mat-error *ngIf="formCadastro.controls.telefone.hasError('required')">
                Telefone é <strong>obrigatório</strong>!
              </mat-error>
              <mat-error *ngIf="!formCadastro.controls.telefone.hasError('required') && formCadastro.controls.telefone.hasError('minlength')">
                Telefone deve conter no minimo <strong>10 Digitos</strong>!
              </mat-error>
            </mat-form-field>
      </div>
      <button mat-flat-button color="accent" class="button-cadastrar" (click)="cadastrarEstagiario()">Cadastrar</button>
  </div>
</form>